Bug 290011 - Review Request: roxterm - A fast terminal emulator
Review Request: roxterm - A fast terminal emulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 17:02 EDT by Sebastian Vahl
Modified: 2014-01-28 07:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 15:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-09-13 17:02:51 EDT
Spec URL: http://deadbabylon.de/fedora/extras/roxterm.spec
SRPM URL: http://deadbabylon.de/fedora/extras/roxterm-1.7.1-1.fc7.src.rpm
Description: 
ROXTerm is a terminal emulator intended to provide similar
features to gnome-terminal, based on the same VTE library,
but with a smaller footprint and quicker start-up time. It
achieves this by not using the Gnome libraries and by using
a separate applet to provide the configuration GUI. It can
be used as a ROX application, as the name implies, or in
any other X environment.

Small note about a rpmlint error:
W: devel-file-in-non-devel-package /usr/bin/roxterm-config
roxterm-config is the configuration editor for edit some settings. So it must be in the normal package.
Comment 1 Sebastian Vahl 2007-09-18 05:15:38 EDT
In the meantime there were three new upstream version. Here's the latest:
Spec URL: http://deadbabylon.de/fedora/extras/roxterm.spec
SRPM URL: http://deadbabylon.de/fedora/extras/roxterm-1.7.4-1.fc8.src.rpm
Comment 2 Parag AN(पराग) 2007-09-18 12:15:07 EDT
desktop file does not have vendor tag so following guideline is valid here.
*if upstream uses <vendor_id>, leave it intact, otherwise use fedora as <vendor_id>.

Use gtk-update-icon-cache scriptlet
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
Comment 3 Sebastian Vahl 2007-09-18 13:51:20 EDT
(In reply to comment #2)
> desktop file does not have vendor tag so following guideline is valid here.
> *if upstream uses <vendor_id>, leave it intact, otherwise use fedora as
<vendor_id>.

To not misunderstand you: I do not have to change something here and my spec is
correct in this case?

> Use gtk-update-icon-cache scriptlet
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

Spec URL: http://deadbabylon.de/fedora/extras/roxterm.spec
SRPM URL: http://deadbabylon.de/fedora/extras/roxterm-1.7.4-2.fc8.src.rpm
Comment 4 Parag AN(पराग) 2007-09-19 00:20:12 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > desktop file does not have vendor tag so following guideline is valid here.
> > *if upstream uses <vendor_id>, leave it intact, otherwise use fedora as
> <vendor_id>.
> 
> To not misunderstand you: I do not have to change something here and my spec is
> correct in this case?
  I think this is confusion around some peoples that if upstream is not having
desktop file in tarball and if we are giving it then only use fedora tag but
current guidelines said opposite to this. So I only commented that I am
considering current guidelines.
  
> 
> > Use gtk-update-icon-cache scriptlet
> >
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
> 
> Spec URL: http://deadbabylon.de/fedora/extras/roxterm.spec
> SRPM URL: http://deadbabylon.de/fedora/extras/roxterm-1.7.4-2.fc8.src.rpm

thanks
Comment 5 Parag AN(पराग) 2007-09-19 02:55:44 EDT
mock build is successful. 
But, need some changes for %doc
make following line 
%doc AUTHORS ChangeLog COPYING NEWS
%doc %{_datadir}/doc/roxterm/*
%{_bindir}/roxterm
%{_bindir}/roxterm-config
%{_datadir}/applications/fedora-roxterm.desktop
%{_datadir}/roxterm/*
%{_datadir}/icons/hicolor/scalable/apps/roxterm.svg

to
%doc %{_datadir}/doc/roxterm
%{_bindir}/roxterm
%{_bindir}/roxterm-config
%{_datadir}/applications/fedora-roxterm.desktop
%{_datadir}/roxterm
%{_datadir}/icons/hicolor/scalable/apps/roxterm.svg

but this looks like that we are getting following docdir
/usr/share/doc/roxterm but not /usr/share/doc/roxterm-1.7.4
you can use --docdir=%{_docdir}/%{name}-%{version} to ./configure

Use consistent macro style.
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf


Comment 6 Sebastian Vahl 2007-09-19 04:08:50 EDT
Changelog:
- own directories
- set %%{_docdir} to %%{name}-%%{version}

(In reply to comment #5)
> Use consistent macro style.
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f3d77b27a5d29dfc1f5600ef3fc836f2e317badf

done

Spec URL: http://deadbabylon.de/fedora/extras/roxterm.spec
SRPM URL: http://deadbabylon.de/fedora/extras/roxterm-1.7.4-3.fc7.src.rpm

Comment 7 Parag AN(पराग) 2007-09-19 05:03:46 EDT
Use following patch to your SPEC

--- roxterm.spec        2007-09-19 13:13:27.000000000 +0530
+++ roxterm-modified.spec       2007-09-19 14:29:31.000000000 +0530
@@ -27,13 +27,14 @@
 
 
 %build
-%configure --docdir=%{_docdir}/%{name}-%{version}
+%configure
 make %{?_smp_mflags}
 
 
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
+rm -rf $RPM_BUILD_ROOT%{_docdir}/roxterm
 
 desktop-file-install --vendor "fedora"                      \
         --dir $RPM_BUILD_ROOT/%{_datadir}/applications          \
@@ -59,8 +60,7 @@
 
 %files
 %defattr(-,root,root,-)
-%doc AUTHORS ChangeLog COPYING NEWS
-%doc %{_datadir}/doc/roxterm/
+%doc Help/AUTHORS Help/Changes Help/COPYING Help/imgs Help/index.html Help/NEWS
Help/README 
 %{_bindir}/roxterm
 %{_bindir}/roxterm-config
 %{_datadir}/applications/fedora-roxterm.desktop

This will solve %doc issue.
Comment 9 Parag AN(पराग) 2007-09-19 06:57:24 EDT
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for RPM but is silent for SRPM.
  roxterm.i386: W: devel-file-in-non-devel-package /usr/bin/roxterm-config
  Can be ignored
+ source files match upstream.
f1383a5e3d6aa28a2d3817d1171840ca  roxterm-1.7.4.tar.gz
+ Package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlet is used.
+ Desktop file handled correctly.
+ Package  roxterm-1.7.4-4.fc8 ->
 Requires: libX11.so.6 libXft.so.2 libXrender.so.1 libatk-1.0.so.0 libc.so.6
libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libcairo.so.2 libdbus-1.so.3 libdbus-glib-1.so.2 libdl.so.2
libfontconfig.so.1 libfreetype.so.6 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0
libglade-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0
libgtk-x11-2.0.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0
libpangoft2-1.0.so.0 libpangox-1.0.so.0 libpangoxft-1.0.so.0 libvte.so.9
libxml2.so.2 rtld(GNU_HASH)
+ GUI App.
APPROVED.
Comment 10 Sebastian Vahl 2007-09-19 10:03:32 EDT
(In reply to comment #9)
> APPROVED.

Thanks!

New Package CVS Request
=======================
Package Name: roxterm
Short Description: A fast terminal emulator
Owners: svahl
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: no

Comment 11 Kevin Fenzi 2007-09-19 13:10:59 EDT
cvs done.
Comment 12 Sebastian Vahl 2007-09-19 15:21:30 EDT
Thanks.

Package is built for devel and f7. I will build it for FC6 when it is in 
stable uptates for f7.
Comment 13 Dan Horák 2010-05-10 05:12:32 EDT
Package Change Request
======================
Package Name: roxterm
New Branches: EL-5 EL-6
Owners: sharkcz
Comment 14 Kevin Fenzi 2010-05-11 00:35:34 EDT
cvs done.
Comment 15 Christopher Meng 2014-01-27 21:22:15 EST
Package Change Request
======================
Package Name: roxterm
New Branches: epel7
Owners: cicku
Comment 16 Gwyn Ciesla 2014-01-28 07:59:25 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.